{
    attributes = (
        {
            columnName = "mod_dom"; 
            externalType = VARCHAR2; 
            name = modDom; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "tvi_format"; 
            externalType = VARCHAR2; 
            name = tviFormat; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "TVI_LIBELLE"; 
            externalType = VARCHAR2; 
            name = tviLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "TVI_ORDRE"; 
            externalType = NUMBER; 
            name = tviOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TVI_VALIDITE"; 
            externalType = VARCHAR2; 
            name = tviValidite; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (modDom, tviFormat, tviLibelle, tviValidite); 
    className = "org.cocktail.maracuja.server.metier.EOTypeVirement"; 
    classProperties = (
        modDom, 
        toVirementParamBdfs, 
        toVirementParamSepas, 
        tviFormat, 
        tviLibelle, 
        tviValidite
    ); 
    externalName = "maracuja.Type_Virement"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            modDom, 
            toVirementParamBdfs, 
            toVirementParamSepas, 
            tviFormat, 
            tviLibelle, 
            tviValidite
        ); 
        "_javaClientClassName" = "org.cocktail.maracuja.client.metier.EOTypeVirement"; 
    }; 
    name = TypeVirement; 
    primaryKeyAttributes = (tviOrdre); 
    relationships = (
        {
            destination = VirementParamBdf; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = tviOrdre; sourceAttribute = tviOrdre; }); 
            name = toVirementParamBdfs; 
        }, 
        {
            destination = VirementParamSepa; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = tviOrdre; sourceAttribute = tviOrdre; }); 
            name = toVirementParamSepas; 
        }
    ); 
}
